Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
reports
/
generation
api_reports_generation_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/reports/generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "key": "<string>",
    "path": "<string>",
    "data": {}
  }
]
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

template_id
string
required

The template to generate report from

example:

  • checkout_transaction_order
template_data_path
string
required

Path to the data for the report

examples:

  • /checkout/v1/transactions/{transaction.id}
template_accept
string
required

The Content-Type for the report

examples:

  • application/pdf
template_accept_language
string
required

The Content-Language for the report

examples:

  • no
  • en
template_accept_timezone
string<iana-timezone>

The timezone for the report List of timezones: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones Defaults to Europe/Oslo

examples:

  • Europe/Stockholm
  • Europe/London
  • Europe/Helsinki
data_from
string<date-time>

The start of the data interval

data_to
string<date-time>

The end of the data interval

schedule
enum<string>

Schedule for the report

Available options:
monthly,
weekly,
daily,
custom,
none
save
boolean

Whether to save the generated report in s3 or not, if set to true returns 201

Body

application/json
key
string
required
path
string
required
data
object
required

Response

Report file

The response is of type string.

Last modified on June 1, 2026